### Method

# Gio DBusMessage get_unix_fd_list

since: 2.26

#### Declaration

    GUnixFDList*
    g_dbus_message_get_unix_fd_list (
      GDBusMessage* message
    )

#### Description

Gets the UNIX file descriptors associated with `message`, if any.

This method is only available on UNIX.

The file descriptors normally correspond to `G_VARIANT_TYPE_HANDLE` values in the body of the message. For example, if `g_variant_get_handle()` returns 5, that is intended to be a reference to the file descriptor that can be accessed by `g_unix_fd_list_get (list, 5, ...)`.

Available since: 2.26

#### Return value

Type: `GUnixFDList`

A `GUnixFDList` or `NULL` if no file descriptors are associated. Do not free, this object is owned by `message`.

The returned data is owned by the instance.
The return value can be `NULL`.